%global modname dicomweb-client

Name:           python-%{modname}
Version:        0.13.0
Release:        1%{?dist}
Summary:        Client for DICOMweb RESTful services

License:        MIT
URL:            https://github.com/clindatsci/dicomweb-client
Source0:        https://github.com/clindatsci/dicomweb-client/archive/v%{version}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
#BuildRequires:  git-core

%description
The dicomweb-client build distribution provides client intefaces for DICOMweb 
RESTful services QIDO-RS, WADO-RS and STOW-RS to search, retrieve and store DICOM 
objects over the web, respectively. For more information about DICOMweb please 
refer to the documentation of the DICOM standard, in particular PS3.18.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel python3-setuptools python3-six
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-sphinx

#BuildRequires:  python3-sphinx python3-sphinx-gallery python3-numpydoc
# Test deps
#BuildRequires:  python3-numpy python3-dateutil python3-pytest
#Requires:       python3-dateutil
#Recommends:     python3-numpy
#Recommends:     python3-matplotlib
#Recommends:     python3-tkinter
#Recommends:     python3-pillow


%description -n python3-%{modname}
The dicomweb-client build distribution provides client intefaces for DICOMweb 
RESTful services QIDO-RS, WADO-RS and STOW-RS to search, retrieve and store DICOM 
objects over the web, respectively. For more information about DICOMweb please 
refer to the documentation of the DICOM standard, in particular PS3.18.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{modname}
%license LICENSE
%doc README.md 
%{_bindir}/dicomweb_client
%{python3_sitelib}/dicomweb_client*

%changelog
* Sat Jun 08 2019 josef radinger <cheese@nosuchhost.net> - 0.13.0-1
- initial version

